<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
  xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
  <ui:composition template="/pages/primodaltemplate.xhtml">
    <ui:define name="title">
      <h:outputText value="#{facesContext.translate('title.cohort.studygroup.edit', cohortModel.studygroup.name)}" />
    </ui:define>
    <ui:define name="body">
      <h:panelGrid columns="2" style="width: 100%">
        <h:outputText value="#{facesContext.translate('label.name')}" />
        <p:inputText id="name" value="#{cohortModel.studygroup.name}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.name')}" />
        <h:outputText value="#{facesContext.translate('label.locales')}" />
        <ship:inputJson id="studylocales" value="#{cohortModel.studygroup.localesJson}" type="locales" update="form:description:container" />
        <h:outputText value="#{facesContext.translate('label.description')}" />
        <ship:inputJson id="description" value="#{cohortModel.studygroup.translationJson}" type="translation" typerestriction="#{cohortModel.studygroup.localesJson}" labelall="#{facesContext.translate('label.display.all.translations')}" />
      </h:panelGrid>
    </ui:define>
    <ui:define name="formbuttons">
      <p:commandButton id="btn_update" action="#{cohortController.doUpdateStudygroup}" value="#{facesContext.translate('button.ok')}" ajax="false" />
      <p:commandButton id="btn_list" action="#{cohortController.toListStudygroup}" value="#{facesContext.translate('button.cancel')}" ajax="false" immediate="true" />
    </ui:define>
    <ui:define name="help_de">
			Hier können Sie den Namen der ausgewählten Studiengruppe ändern.
		</ui:define>
    <ui:define name="help_en">
			Here you can edit the name of the choosen study group.
		</ui:define>
  </ui:composition>
</h:body>
</html>